summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /xfce-extra/xfce4-smartbookmark-plugin
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'xfce-extra/xfce4-smartbookmark-plugin')
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/Manifest2
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/metadata.xml8
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.5.ebuild38
-rw-r--r--xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.6.ebuild38
4 files changed, 86 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/Manifest b/xfce-extra/xfce4-smartbookmark-plugin/Manifest
new file mode 100644
index 00000000000..8666be8854d
--- /dev/null
+++ b/xfce-extra/xfce4-smartbookmark-plugin/Manifest
@@ -0,0 +1,2 @@
+DIST xfce4-smartbookmark-plugin-0.4.5.tar.bz2 271402 SHA256 6aa4269a5f4b7a3332d3c491efbbbd0a9ff0031a0005fee780346863bcf4f886 SHA512 bf3f41d7130aaf97927fb74def7b8f0b0dc566a7df01e0090c7517aebdc768dca3673a1d1e490d2cfbfcd68dfd5cf6c1cbc06447baa5361204bf3cdca6729489 WHIRLPOOL c5bfedbe9c5aeb9a488e5e305f6d27679be42ee6156a5097ba851e25ceac72095e6f2bcdb3b91aaf8a0fddca5c5137f3c4967c49671251533b90f34759152329
+DIST xfce4-smartbookmark-plugin-0.4.6.tar.bz2 280664 SHA256 3bed2b322cd39ce5845d6da07938c702260f3f1a9700b690ef377fba752ba24f SHA512 1d08b26761189d5e3b9d6a3e7f8a6bad8b73cc48ecf6d41c675bb13cc1074f48aca94e953b8d6cc97259c64c4f9f0aca9f0b0680fc4c6a9f01b13898175a5645 WHIRLPOOL 35adc639db061cb3158ad274cdfecfa0a8ad47399c8ee308086b12f4f6c4e6818522154e06217e75f56ee1e52abfb132c837aeba40b91f19aa4d49c5392eb69b
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/metadata.xml b/xfce-extra/xfce4-smartbookmark-plugin/metadata.xml
new file mode 100644
index 00000000000..008cf479f61
--- /dev/null
+++ b/xfce-extra/xfce4-smartbookmark-plugin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>xfce@gentoo.org</email>
+ <name>XFCE Team</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.5.ebuild b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.5.ebuild
new file mode 100644
index 00000000000..b958ab33908
--- /dev/null
+++ b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit xfconf
+
+DESCRIPTION="Smart bookmark plug-in for the Xfce desktop environment"
+HOMEPAGE="http://goodies.xfce.org/projects/panel-plugins/xfce4-smartbookmark-plugin"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="debug"
+
+COMMON_DEPEND="x11-libs/gtk+:2
+ x11-libs/libX11
+ >=xfce-base/libxfce4ui-4.10
+ >=xfce-base/xfce4-panel-4.10"
+RDEPEND="${COMMON_DEPEND}
+ >=xfce-base/exo-0.8"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+pkg_setup() {
+ XFCONF=(
+ $(xfconf_use_debug)
+ )
+
+ DOCS=( AUTHORS ChangeLog NEWS README )
+}
+src_prepare() {
+ sed -i -e '/bugs/s:debian:gentoo:' src/smartbookmark.c || die
+ xfconf_src_prepare
+}
diff --git a/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.6.ebuild b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.6.ebuild
new file mode 100644
index 00000000000..d8009f679f8
--- /dev/null
+++ b/xfce-extra/xfce4-smartbookmark-plugin/xfce4-smartbookmark-plugin-0.4.6.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit xfconf
+
+DESCRIPTION="Smart bookmark plug-in for the Xfce desktop environment"
+HOMEPAGE="http://goodies.xfce.org/projects/panel-plugins/xfce4-smartbookmark-plugin"
+SRC_URI="mirror://xfce/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="debug"
+
+COMMON_DEPEND="x11-libs/gtk+:2=
+ x11-libs/libX11:=
+ >=xfce-base/libxfce4ui-4.10:=
+ >=xfce-base/xfce4-panel-4.10:="
+RDEPEND="${COMMON_DEPEND}
+ >=xfce-base/exo-0.8"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+pkg_setup() {
+ XFCONF=(
+ $(xfconf_use_debug)
+ )
+
+ DOCS=( AUTHORS ChangeLog NEWS README )
+}
+src_prepare() {
+ sed -i -e '/bugs/s:debian:gentoo:' src/smartbookmark.c || die
+ xfconf_src_prepare
+}